Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1888601 - The poddisruptionbudgets is using the operator service account, instead of gather
Summary: The poddisruptionbudgets is using the operator service account, instead of ga...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Marcell Sevcsik
QA Contact: psimovec
URL:
Whiteboard:
Depends On:
Blocks: 1888602 1888608
TreeView+ depends on / blocked
 
Reported: 2020-10-15 09:55 UTC by Marcell Sevcsik
Modified: 2021-02-24 15:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The client used for gathering poddisruptionbudgets was using the incorrect service account. Consequence: This client has too much permissions, which could cause problems in the future. Fix: Use the correct service account Result: The client has the right amount of permissions.
Clone Of:
: 1888602 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:26:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 225 0 None closed Bug 1888601: Fixes policyClient and the corresponding config. 2021-02-10 16:11:42 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:26:32 UTC

Description Marcell Sevcsik 2020-10-15 09:55:50 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 psimovec 2020-10-30 13:10:31 UTC
Checked if pdb collecting still works

main_test.go:378: 2 pod disruption budgets files match pattern `^config/pdbs/.*\.json$`
    --- PASS: TestArchiveContains/PodDisruptionBudgets (1.23s)


> oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE     STATUS
version   4.7.0-0.nightly-2020-10-27-051128   True        False         32m       Cluster version is 4.7.0-0.nightly-2020-10-27-051128

Comment 5 errata-xmlrpc 2021-02-24 15:26:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.